
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HTTPS混合内容解析 / 憋错料</title>

    <meta name="description" content="HTTPS混合内容解析 什么是HTTPS混合内容 我们可能会有这样的经验,当我们通过HTTPS访问一个网站的时候,突然有提示:&quot;本页面包含有不安全的内容&quot;.这个时候会询问是否显示&quot;不安全的内容&quot;,这个时候,就是遇到了有混合内容的页面了. HTTPS下的页面,几乎很少是采用单一连接,HTML标识.图片.JS脚本以及其他页面资源不仅是多个连接获取到,甚至可能是来自完全不同的服务器和网站.为了确保一个页面进行了正确的加密,所有的页面资源都通过HTTPS进去获取是必要的.但在实际情况中, ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">HTTPS混合内容解析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>什么是HTTPS混合内容</h2>
<p>我们可能会有这样的经验，当我们通过HTTPS访问一个网站的时候，突然有提示：“本页面包含有不安全的内容”。这个时候会询问是否显示“不安全的内容”，这个时候，就是遇到了有混合内容的页面了。</p>
<p>HTTPS下的页面，几乎很少是采用单一连接，HTML标识、图片、JS脚本以及其他页面资源不仅是多个连接获取到，甚至可能是来自完全不同的服务器和网站。为了确保一个页面进行了正确的加密，所有的页面资源都通过HTTPS进去获取是必要的。但在实际情况中，全部资源都采用HTTPS却不常见，这就倒是了混合内容(mixed<br />
 content)安全问题的产生。</p>
<h2>产生混合内容的原因</h2>
<h3>程序员</h3>
<p>某些程序员仍然基于HTTP下的编程习惯，导致代码的不严谨。最常见的就是采用绝对路径的方式，访问网站上的资源，在HTTP的模式下这种方式可能都是正确的，但一旦这些页面要求改用HTTPS，这些元素就很可能是被通过HTTP调用，而产生错误。</p>
<h3>Mashup</h3>
<p>随着Mashup的发展，网站不再是自己提供全部内容，它们混合其他网站的内容，而内容的来源则被隐去。Mashup虽然对开发者来说非常有用，但也让我们的HTTPS变得不可捉摸。</p>
<p>Mashup主要通过在页面加载第三方的JavaScript代码来实现的，在HTTPS加密的上下文中，经常会出现第三方的内容和服务不支持HTTPS加密，前几年，百度和Goolge的很多服务业也都不支持HTTPS，最近2、3年，才开始支持全网SSL，但有些小的服务商依然不能做到全部支持HTTPS。</p>
<h3>CDN</h3>
<p>CDN在全球建立大量的服务器，可以通过对用户访问IP地址的判断，选择最优的网络访问位置，为用户提供大量的（主要是静态）数据文件。通常CDN要支持用户通过HTTPS访问内容的成本比较高，因为CDN通常使用BDNS的域名解析技术，这会对一个网站在全球的各个不同的分发站点分配不同的主机名，所以我们经常必须采用Wildcard通配符证书，甚至Wildcard<br />
 San证书来支持，同时因为SNI的兼容性还不够完善，每个分发点最好都具体自己独立的IP地址，这也导致运维的复杂性和成本的提高。</p>
<h2>混合内容的影响</h2>
<p>混合内容的影响主要与没有被加密的内容性质所决定，目前主要有两种性质的内容：<br />
<b>混合被动内容</b>（Mixed passive content），<b>混合主动内容</b>（Mixed active conttent）。前者也叫混合显示(Mixed Display)，它们是低风险的内容，例如图片； 后者也叫作混合脚本（Mixed Scripting)，它们是高风险的内容，常见的有JavaScript脚本。</p>
<p><b>混合主动内容是威胁的真正来源</b>。一个不被加密的JavaScript文件的引用，可能会被主动攻击者劫持，并用来获取对页面的完全控制，已经使用受害者的身份在网站上执行任意的动作。对于其他危险的资源类型也是如此，包括：HTML(框架）、CSS、FLASH和JAVA应用程序等。</p>
<p>混合被动内容虽然不是那么的危险，但依然会破坏页面的完整性。在某些情况下，攻击者可以通过在图片中插入信息来玩弄受害者，可能导致钓鱼攻击的发生。</p>
<h2>浏览器的处理</h2>
<h3>Android浏览器</h3>
<p>Android的浏览器对混合内容没有任何限制。</p>
<h3>Chrome</h3>
<p>Chrome从版本38开始，会阻止所有的混合主动内容。</p>
<h3>Firefox</h3>
<p>Firefox很久以前就可以对混合内容进行检测并发出警告，但一直到版本23以后，开始对所有的混合主动内容进行阻断。</p>
<h3>IE</h3>
<p>IE从IE5（1999年）开始就支持对混合内容的检测，当IE检测到同一个页面上存在加密和明文内容的时候，它将提示用户来决定如何处理。但一直到IE9以后，才开始对混合主动内容进行阻断，同时开始对混合的被动内容采取了默许的方式。</p>
<h3>Safri</h3>
<p>Safri目前不阻断任何混合内容，这是它与其他浏览器相比的一个很大的区别。</p>
<table>
<tbody>
<tr>
<td>
</td>
<td>
				&nbsp;Images&nbsp;
			</td>
<td>
				&nbsp;CSS&nbsp;
			</td>
<td>
				&nbsp;Scripts
			</td>
<td>
				XHR&nbsp;
			</td>
<td>
				&nbsp;Websockets&nbsp;
			</td>
<td>
				&nbsp;Frames
			</td>
</tr>
<tr>
<td>
				&nbsp;Android Brower 4.4
			</td>
<td>
				&nbsp;Y
			</td>
<td>
				Y
			</td>
<td>
				Y
			</td>
<td>
				Y
			</td>
<td>
				Y
			</td>
<td>
				Y
			</td>
</tr>
<tr>
<td>
				&nbsp;Chrome&nbsp;&nbsp;&nbsp; 41
			</td>
<td>
				&nbsp;Y
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
</tr>
<tr>
<td>
				&nbsp;Firefox 30
			</td>
<td>
				&nbsp;Y
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
</tr>
<tr>
<td>
				&nbsp;IE 11
			</td>
<td>
				&nbsp;Y
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
<td>
				N
			</td>
</tr>
<tr>
<td>
				&nbsp;Safari
			</td>
<td>
				Y
			</td>
<td>
				Y
			</td>
<td>
				Y
			</td>
<td>
				Y
			</td>
<td>
				Y
			</td>
<td>
				Y
			</td>
</tr>
</tbody>
</table>
<h2>查找混合内容</h2>
<p>查找网页是否存在混合内容，推荐使用Chrome的“开发者工具”：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3d3dy5teXNzbC5jbi9VcGxvYWRGaWxlL3BpYy9hcnRpY2xlLzIwMTYxMTAzLzIwMTYxMTAzMDkzMjAxXzg5NTAucG5n.jpg" /></p>
<p>访问需要测试网页，然后打开，开发者工具，选择“Security”-"Non-Secure Origin"，就可以看到Mixed Content：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3d3dy5teXNzbC5jbi9VcGxvYWRGaWxlL3BpYy9hcnRpY2xlLzIwMTYxMTAzLzIwMTYxMTAzMDkzNDA3XzMzNDkucG5n.jpg" /></p>
<h2>解决办法</h2>
<h3>检查代码</h3>
<p>新的网站开发，在搭建测试环境时，建议直接在测试环境部署HTTPS，以确保网站在测试时就能及时发现混合内容问题，并及时纠正。</p>
<p>程序员在代码开发时，可以采用以下方式：</p>
<ul>
<li>本地的图片和脚本通过HTTP显示方式直接调用。可以检索所有通过http://绝对路径方式调用的元素，改用本地相对路径。</li>
<li>访问了一些外网的图片和脚本。譬如某网站www.domain.com，将图片放在另外一个站点img.domain.com，将脚本访问js.domain.com上，请在每个站点都部署HTTPS，然后将原先的http://的引用方式调整为//的引用方式。例如：原先的代码<br />
 &lt;img src="http://img.domain.com/image/1.jpg" /&gt; 修改为 &lt;img<br />
src="//img.domain.com/image/1.jpg" /&gt;<br />
。调整后，浏览器会自动选择http还是https来访问外网资源。</li>
<li>如需要使用第三方系统提供的应用服务，请寻求支持HTTPS的服务商，目前百度和Google都已经支持全网HTTPS，而且正规的应用服务上，都会开始支持HTTPS了。</li>
</ul>
<h3>HTST</h3>
<p>HTST是一种强制浏览器获取安全资源的机制，即使在面对用户错误（譬如用户用80端口访问到你的网站）以及实现错误（网站开发人员在HTTPS页面上加了不安全的元素）也依然有效。这个特性有效的消除了混合内容的问题，但仅能在你能控制的域名下工作。</p>
<p>HTST要求通过301跳转的方式，一下仅就IIS简要介绍一下：</p>
<p>首先在网站上配置1个HTTP的网站，和一个HTTPS的网站，选择HTTP重定向：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3d3dy5teXNzbC5jbi9VcGxvYWRGaWxlL3BpYy9hcnRpY2xlLzIwMTYxMTAzLzIwMTYxMTAzMTcxNTA1XzkxODIucG5n.jpg" /></p>
<p>状态代码设置为：永久（301）。重定向到相同域名的HTTPS站点上。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3d3dy5teXNzbC5jbi9VcGxvYWRGaWxlL3BpYy9hcnRpY2xlLzIwMTYxMTAzLzIwMTYxMTAzMTcxNTU3XzcxMDMucG5n.jpg" /></p>
<p>有关HTST的详细使用，我们将另外发文介绍。</p>
<h3>CSP</h3>
<p>为了阻断从第三方网站获取到的不安全资源，可以使用安全内容策略（Content Security Policy,CSP）。这个安全特性可以对不安全的资源进行阻断。它同时还有很多其他有用的特性来处理应用层安全问题。</p>
<p>FYI:https://www.myssl.cn/home/article-56.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 05:41:43 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/https/" title="https">https</a>, <a href="https://www.biecuoliao.com/tag/cdn/" title="cdn">cdn</a>, <a href="https://www.biecuoliao.com/tag/ssl/" title="ssl">ssl</a>, <a href="https://www.biecuoliao.com/tag/tls/" title="tls">tls</a>, <a href="https://www.biecuoliao.com/tag/insecure/" title="insecure">insecure</a>, <a href="https://www.biecuoliao.com/tag/mixed-content/" title="Mixed Content">Mixed Content</a>, <a href="https://www.biecuoliao.com/tag/htst/" title="HTST">HTST</a>, <a href="https://www.biecuoliao.com/tag/mashup/" title="mashup">mashup</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>HTTPS混合内容解析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVVk92M.html" rel="bookmark">文件内容解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面是我的第一个React Native程序,也是自己对该程序的文件内容解析一些理解,注释很清楚哟,相信你一看就懂!!!! /** * Sample React Native App * https://github.com/facebook/react-native * @flow */ // 1.引入组件 import React, { Component } from 'react'; import { AppRegistry, // 注册 StyleSheet, // 样式 Text,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEByZX0.html" rel="bookmark">YOLOv1-darknet 内容解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 YOLOv1-darknet 内容解析 1. 核心思想 2. 特点 3. 缺点 4. 算法流程 5. 详细内容 6. 主要参考 YOLOv1-darknet 内容解析 1. 核心思想 目标检测分为二阶段和一阶段的方法,二阶段方法主要有Fast R-CNN系列,Mask R-CNN等,主要方法是用算法生成一些列作为样本的候选框,然后再使用卷积神经网络进行样本的分类: 一阶段方法(End to End方法)主要有SSD系列,YOLO系列,这种方法是将目标边框的定位问题转化为回归问题处理. 由于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kDKwd3.html" rel="bookmark">&plus;&plus;和&plus;的运算优先级和&plus;&plus;i和i&plus;&plus;混合用法解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日碰到一个技术交流的地方,发现出了一道基础知识的题,刚一看题目确实有点晕,仔细分析如下: int i = 5; int k = i+++(++i)+(++i);           也可以写成(i++)+(++i)+(++i) 其实这个是k=(5++)+(++6)+(++7)=5+7+8=20 得出结果为20 ++和+的运算优先级和++i和i++混合用法解析,布布扣,bubuko.com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzNALdM.html" rel="bookmark">SSDP协议内容解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SSDP(Simple Service Discovery Protocol),简单服务发现协议,用于发现局域网里面的设备和服务. SSDP消息分为设备查询消息.设备通知消息两种,通常情况下,使用更多地是设备查询消息. 1.设备查询消息: 格式例子如下: M-SEARCH * HTTP/1.1 HOST: 239.255.255.250:1900 MAN: &quot;ssdp:discover&quot; MX: 5 ST: ssdp:all 其中第一行是消息头,固定:HOST对应的是广播地址和端口,2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXjgdk3.html" rel="bookmark">php将某一模板内容解析过后，并获取其返回值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在PHP中,将一个模板文件(.php)文件定义过后,如果要将参数传入,并且将该文件解析过后的内容作为返回值,可以php操作缓冲区来获取该模板文件的结果 //打开缓冲区 ob_start(); //引入所需要的模板文件 include('file_name.tpl.php');          //获取缓冲区中的内容,并且将该内容赋值给一个变量 $return_info = ob_get_contents(); //清空(擦除)缓冲区并关闭输出缓冲                     ob_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Obedo0.html" rel="bookmark">内容提供者ContentProvider和内容解析者ContentResolver</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 ContentProvider 在android中的作用是对外共享数据,也就是说你可以通过ContentProvider把应用中的数据共享给其他应用访问,其他应用可以通过ContentProvider 对你应用中的数据进行添删改查.关于数据共享,以前我们学习过文件操作模式,知道通过指定文件的操作模式为Context.MODE_WORLD_READABLE 或Context.MODE_WORLD_WRITEABLE同样也可以对外共享数据.那么,这里为何要使用ContentProvider 对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXrV5z3.html" rel="bookmark">Web 前端性能优化相关内容解析&lbrack;转&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web 前端性能优化相关内容,来源于&lt;Google官方网页载入速度检测工具PageSpeed Insights 使用教程&gt;一文中PageSpeed Insights 的相关说明.大家可以对照着去优化自己的网站或者相关项目.本文由Jeff 整理. 0.提高服务器的响应速度 砸钱的东西,但却最根本:搞好这一项,甚比下面任何一项. 1.优化样式表和脚本的排列顺序 正确地排列外部样式表与外部和内嵌脚本的顺序,可增加下载时同时加载的数据量,并提高浏览器显示网页的速度. 将样式表放在顶部,将脚本放在底部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDoJb74.html" rel="bookmark">把界面内容解析成XML（用DOM模式）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一步,修改AndroidManifest.xml,添加sdcara写入权限 1 &lt;uses-permission android:name=&quot;android.permission.WRITE_EXTERNAL_STORAGE&quot;/&gt; 2 3 &lt;application 4 android:allowBackup=&quot;true&quot; 5 android:icon=&quot;@drawable/ic_launcher&quot; 6 android:labe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pPAjx4.html" rel="bookmark">转&colon; 数字证书原理 https 完整过程解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				点评: 讲的非常的详细与全面,值得一看. 转: http://www.cnblogs.com/JeffreySun/archive/2010/06/24/1627247.html 文中首先解释了加密解密的一些基础知识和概念,然后通过一个加密通信过程的例子说明了加密算法的作用,以及数字证书的出现所起的作用.接着对数字证书做一个详细的解释,并讨论一下windows中数字证书的管理,最后演示使用makecert生成数字证书.如果发现文中有错误的地方,或者有什么地方说得不够清楚,欢迎指出! 1.基础知识			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q0xDeQ0.html" rel="bookmark" class="title">myeclipse的常用快捷键</a>
					<div>
						创建一个类 Alt+Shift+N,C,输入Demo,回车 创建类属性 按3次下方向键,回车,输入String name;,回车 创建构造器 Alt+Shift+S,O,回车 创建getter/set ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JDe7l0.html" rel="bookmark" class="title">贪心算法&lowbar;活动安排问题&lowbar;哈弗曼编码</a>
					<div>
						问题表述:设有n个活动的集合E = {1,2,…,n},其中每个活动都要求使用同一资源,如演讲会场等,而在同一时间内只有一个活动能使用这一资源.每个活i都有一个要求使用该资源的起始时间si和一个结束时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47Nqnb3.html" rel="bookmark" class="title">设定mysql的默认字符集</a>
					<div>
						mysql&gt;show global variables like '%server%';    --查看当前全局字符集 +----------------------+------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47DqAxM.html" rel="bookmark" class="title">美国队长</a>
					<div>
						美国队长是儿子崇拜的偶像,复仇者联盟众多成员中最喜欢的一位.儿子的成长基本照着教科书来的,现在这个阶段正是迷恋英雄,崇拜英雄的时候,家里玩具中出镜率最高的当属美国队长,外出经常都会带着同行,出于爱屋及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e52QJ0.html" rel="bookmark" class="title">android gridview画分割线</a>
					<div>
						dongyangzhang android gridview画分割线,如图: 1.先上图: 2.具体实现代码: public class LineGridView extends GridView { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDoaNo4.html" rel="bookmark" class="title">原创：用于单片机的轻量级菜单</a>
					<div>
						有时要用单片机写一些大点的程序,但又没必要使用一些操作系统的时候,我写出了下面这种轻量级菜单状态机,配备一个显示设备加5个输入(上下左右和按下) 先看看效果图 上面的 ABC, BCD,EFG分别是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47maWy0.html" rel="bookmark" class="title">python之zip函数和sorted函数</a>
					<div>
						# zip()函数和sorted()函数 # zip()函数:将两个序列合并,返回zip对象,可强制转换为列表或字典 # sorted()函数:对序列进行排序,返回一个排序后的新列表,原数据不改变 # ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mymj6eM.html" rel="bookmark" class="title">Jacva基础（二）</a>
					<div>
						数据类型 变量 运算符 1.数据类型 基本类型:四中8类 整数:byte short int long 浮点(小数):double float 字符:char 布尔:boolean 引用类型:Stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZ7B9M.html" rel="bookmark" class="title">随机多人红包</a>
					<div>
						/// &lt;summary&gt; /// 随机多人红包 /// &lt;/summary&gt; /// &lt;param name=&quot;totalCount&quot;&gt;红包数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6zm2rM.html" rel="bookmark" class="title">&lbrack;转&rsqb;C&num;连接操作mysql实例</a>
					<div>
						本文转自:http://hi.baidu.com/zhqngweng/item/c4d2520cb7216877bfe97edf 第三方组件:Mysql.Data.dll说明:去官方网站下载Mysql ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KvJyJM.html" rel="bookmark" class="title">配置ssh，实现节点间的无密码登录</a>
					<div>
						机器如下配置 192.168.121.101 master.hadoop 192.168.121.201 slave1.hadoop 192.168.121.202 slave2.hadoop 安装s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kj8q9M.html" rel="bookmark" class="title">Spring AOP Schema  aop&colon;config、tx&colon;advice</a>
					<div>
						Spring AOP Schema  aop:config.tx:advice 一.      利用aop:config标签实现AOP 首先看个例子,如下 接口代码: package com.lei. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RkN8R3.html" rel="bookmark" class="title">Web前端工程师成长之路&mdash;&mdash;知识汇总</a>
					<div>
						一.何为Web前端工程师? 前端工程师,也叫Web前端开发工程师.他是随着web发展,细分出来的行业.Web前端开发工程师,主要职责是利用(X)HTML/CSS/JavaScript/DOM/Flas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moo8wnM.html" rel="bookmark" class="title">URI与URL区别</a>
					<div>
						URL 与 URI 很多人会混淆这两个名词. URL:(Uniform/Universal Resource Locator 的缩写,统一资源定位符). URI:(Uniform Resource I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPyawM.html" rel="bookmark" class="title">Mobile Matrices</a>
					<div>
						This is an attempt to compile a list of relevant specifications for all modern smart phones and mobi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXDbZ4.html" rel="bookmark" class="title">Linux 每天自动备份mysql数据库的方法</a>
					<div>
						Linux 每天自动备份mysql数据库的方法 作者: 字体:[增加 减小] 类型:转载 linux下为了安全有时候需要自动备份mysql数据库,下面是具体的实现步骤. /usr/bin为mysql安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41y2lo4.html" rel="bookmark" class="title">TJI读书笔记16-异常处理</a>
					<div>
						TJI读书笔记16-异常处理 概念 基本异常情形 异常的捕获 自定义异常 异常说明 捕获所有异常 栈轨迹 重新抛出异常 Java标准异常 使用finally 异常的限制 构造器 异常的匹配 其他乱七八 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWQQly3.html" rel="bookmark" class="title">mina IoBuffer 常用方法</a>
					<div>
						Limit(int) 如果position&gt;limit, position = limit,如果mark&gt;limit, 重置mark Mark() 取当前的position的快照标记mar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ea8oa0.html" rel="bookmark" class="title">mysql查看数据库状态show status</a>
					<div>
						show [global | session] status [like 'xxx']; global选项,查看mysql所有连接状态 session选项,查看当前连接状态,默认session选项 f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzDmNq3.html" rel="bookmark" class="title">《http权威指南》读书笔记 七</a>
					<div>
						HTTP认证 http认证形式分为基本认证和摘要认证 1.基本认证: 1) 客户端向服务端发出请求后,服务端并不是直接返回请求的文档(200 OK),而是在响应报文中加入WWW-Authenticat ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
